SSL_get_fd(3) | OpenSSL | SSL_get_fd(3)

# NAME

SSL_get_fd - get file descriptor linked to an SSL object

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/ssl.h> int SSL_get_fd(const SSL *ssl); int SSL_get_rfd(const SSL *ssl); int SSL_get_wfd(const SSL *ssl);

# DESCRIPTION

SSL_get_fd() returns the file descriptor which is linked to ssl. SSL_get_rfd() and SSL_get_wfd() return the file descriptors for the read or the write channel, which can be different. If the read and the write channel are different, SSL_get_fd() will return the file descriptor of the read channel.

# RETURN VALUES

The following return values can occur:

-1 | The operation failed, because the underlying BIO is not of the correct type (suitable for file descriptors).

>=0 | The file descriptor linked to ssl.

# SEE ALSO

SSL_set_fd(3), ssl(3) , openssl_bio(3)

July 20, 2009 | 1.0.1-dev